<template>
  <t-modal
    v-model="vModel"
    id="_create-circuit-modal"
    :clickToClose="false"
    @before-open="onBeforeOpen"
    @closed="onClosed"
  >

    <!-- Create circuit form -->
    <CreateCircuitForm
      :ok-append="function () { vModel = false }"
      :cancel-append="function () { vModel = false }"
    />

  </t-modal>

</template>

<script>
// BaseModal component
import BaseModal from '../BaseModal'
// CreateCircuitForm component
import CreateCircuitForm from './CreateCircuitForm'
/**
 * CreateCircuitModal component
 */
export default {
  name: 'CreateCircuitModal',
  extends: BaseModal,
  components: {
    CreateCircuitForm
  },
  methods: {
    /**
     * Called before popup open
     * @return {void}
     */
    onBeforeOpen: function () {
      // ...
    },
    /**
     * Called when popup close
     * @return {void}
     */
    onClosed: function () {
      // ...
    }
  }
}
</script>

<style lang="scss">
#_create-circuit-modal {
  //
}
</style>
